Subject: Re: G++ guru's please comment - Re: FW: pthread_create problem in Cygwin 1.1.8-2]
From: "Robert Collins" <[email-masked]>
To: "Joost Kraaijeveld" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 9 Apr 2001 07:21:09 +1000

----- Original Message -----
From: "Joost Kraaijeveld" <[email-masked]>
To: "'Robert Collins'" <[email-masked]>
Sent: Monday, April 09, 2001 1:45 AM
Subject: RE: G++ guru's please comment - Re: FW: pthread_create problem
in Cygwin 1.1.8-2]

> > Also, printf doesn't appear to be atomic and threadsafe (lines got
> > interspersed). You might be hitting something there, but I doubt it
> > (crashing in the wrong place).
> I have noticed that, but crashing was a little bit more urgent than a
> non-thread safe printf.
>
>
> > 1) It's possible it's a problem with the thread exiting code,
> > could you
> > try using a pthread_exit call instead of return and report back.
> I replaced return 0 with pthread_exit(0) andf now id does not crash on
any
> computer.

hmm. This really needs a compiler expert to jump in and comment now
(that reduces the likelyhood that it's a thread specific fault.

> > 2) What cygwin1.dll are you using? I'm using a custom build ~= to
the
> > latest snapshot.
> $ uname -a
> CYGWIN_NT-5.0 ABRARACOURCIX 1.1.8(0.34/3/2) 2001-01-31 10:08 i686
unknown
>
> > 3) What's the value of ecx when it dies? Mine is
> > (gdb) info register
> > eax            0x407004 4222980
> > ecx            0xc0     192
> eax    0x407004       What is second number????
> ecx    0x6108d24c     What is second number????
>
The decimal converted value.

Rob
>
> Joost
>
> PS. Please forward this to the mailinglist as my provider is banned
for
> spamming throught ORBS....
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple